{
  "createdWith": "Open Stage Control",
  "version": "1.25.2",
  "type": "session",
  "content": {
    "type": "root",
    "id": "root",
    "linkId": "",
    "css": "JS{\nif(@{lock}) return `\n:host > inner > .navigation {\n  pointer-events: none;\n  filter: grayscale(100%);\n}`\n}",
    "default": "",
    "value": "",
    "address": "/root",
    "preArgs": "",
    "target": "",
    "bypass": false,
    "traversing": false,
    "variables": {},
    "tabs": [
      {
        "type": "tab",
        "id": "main_tab",
        "linkId": "",
        "label": "a history of the domino problem",
        "css": ":root {\n--color-bg: black;\n--color-raised: black;\n--color-accent: grey;\n--color-light: grey;\n}\n> .panel {\n  display: flex;\n  align-items: center;\n  justify-content: center;\n}",
        "default": "",
        "value": "",
        "address": "/tab_1",
        "preArgs": "",
        "target": "",
        "bypass": false,
        "variables": "@{parent.variables}",
        "widgets": [
          {
            "type": "panel",
            "top": "auto",
            "left": "auto",
            "id": "main_panel",
            "linkId": "",
            "width": 520,
            "height": 480,
            "css": "> .panel {\n   background-color: black;\n   border: 2px solid grey;\n}\n:host {\n  top:calc(50% - 156rem);\n  left:calc(50% - 251rem);\n  z-index:15;\n  font-size: 125%;\n}",
            "scroll": true,
            "default": "",
            "value": "",
            "address": "/main_panel",
            "preArgs": "",
            "target": "",
            "bypass": true,
            "variables": "@{parent.variables}",
            "widgets": [
              {
                "type": "text",
                "top": 410,
                "left": 20,
                "id": "message",
                "linkId": "",
                "width": 480,
                "height": 50,
                "css": ".text {\n  background-color: black;\n  border: 1px solid grey;\n}",
                "vertical": false,
                "wrap": false,
                "align": "",
                "default": " ",
                "value": "",
                "address": "/message",
                "preArgs": "",
                "decimals": 2,
                "colorWidget": "white",
                "lock": false,
                "visible": true,
                "comments": "",
                "expand": "false",
                "colorText": "auto",
                "colorStroke": "auto",
                "colorFill": "auto",
                "alphaStroke": "auto",
                "alphaFillOff": "auto",
                "alphaFillOn": "auto",
                "lineWidth": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "target": "",
                "onCreate": "",
                "onValue": ""
              },
              {
                "type": "button",
                "top": 20,
                "left": 20,
                "id": "img_1_select",
                "linkId": "",
                "width": 96,
                "height": 72,
                "label": "Berger",
                "css": ":host{\n--color-raised:#2A2A2D;\n}\n:host.on{\n--color-bg:white;\n}",
                "doubleTap": false,
                "on": 1,
                "off": -1,
                "default": "",
                "value": "",
                "address": "/img_select",
                "preArgs": "",
                "target": "",
                "bypass": false,
                "decimals": 2,
                "mode": "toggle",
                "lock": false,
                "visible": true,
                "interaction": true,
                "comments": "",
                "expand": "false",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorStroke": "auto",
                "colorFill": "auto",
                "alphaStroke": "auto",
                "alphaFillOff": "auto",
                "alphaFillOn": "auto",
                "lineWidth": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "colorTextOn": "auto",
                "vertical": false,
                "wrap": false,
                "decoupled": false,
                "typeTags": "",
                "ignoreDefaults": false,
                "onCreate": "",
                "onValue": "globals.lockFunc(get(this))"
              },
              {
                "type": "button",
                "top": 20,
                "left": 212,
                "id": "img_2_select",
                "linkId": "",
                "width": 96,
                "height": 72,
                "label": "Robinson",
                "css": "JS{\n:host{\n--color-raised:#2A2A2D;\n}\n:host.on{\n--color-bg:white;\n}\n",
                "doubleTap": false,
                "on": 2,
                "off": -2,
                "default": "",
                "value": "",
                "address": "/img_select",
                "preArgs": "",
                "target": "",
                "bypass": false,
                "decimals": 2,
                "mode": "toggle",
                "lock": false,
                "visible": true,
                "interaction": true,
                "comments": "",
                "expand": "false",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorStroke": "auto",
                "colorFill": "auto",
                "alphaStroke": "auto",
                "alphaFillOff": "auto",
                "alphaFillOn": "auto",
                "lineWidth": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "colorTextOn": "auto",
                "vertical": false,
                "wrap": false,
                "decoupled": false,
                "typeTags": "",
                "ignoreDefaults": false,
                "onCreate": "",
                "onValue": "globals.lockFunc(get(this))"
              },
              {
                "type": "button",
                "top": 20,
                "left": 404,
                "id": "img_3_select",
                "linkId": "",
                "width": 96,
                "height": 72,
                "label": "message 3",
                "css": "",
                "doubleTap": false,
                "on": 3,
                "off": -3,
                "default": "",
                "value": "",
                "address": "/img_select",
                "preArgs": "",
                "target": "",
                "bypass": false,
                "decimals": 2,
                "mode": "toggle",
                "lock": false,
                "visible": true,
                "interaction": true,
                "comments": "",
                "expand": "false",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorStroke": "auto",
                "colorFill": "auto",
                "alphaStroke": "auto",
                "alphaFillOff": "auto",
                "alphaFillOn": "auto",
                "lineWidth": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "colorTextOn": "auto",
                "vertical": false,
                "wrap": false,
                "decoupled": false,
                "typeTags": "",
                "ignoreDefaults": false,
                "onCreate": "",
                "onValue": "globals.lockFunc(get(this))"
              },
              {
                "type": "button",
                "top": 164,
                "left": 20,
                "id": "img_4_select",
                "linkId": "",
                "width": 96,
                "height": 72,
                "label": "Penrose",
                "css": ":host{\n--color-raised:#2A2A2D;\n}\n:host.on{\n--color-bg:white;\n}",
                "doubleTap": false,
                "on": 4,
                "off": -4,
                "default": "",
                "value": "",
                "address": "/img_select",
                "preArgs": "",
                "target": "",
                "bypass": false,
                "decimals": 2,
                "mode": "toggle",
                "lock": false,
                "visible": true,
                "interaction": true,
                "comments": "",
                "expand": "false",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorStroke": "auto",
                "colorFill": "auto",
                "alphaStroke": "auto",
                "alphaFillOff": "auto",
                "alphaFillOn": "auto",
                "lineWidth": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "colorTextOn": "auto",
                "vertical": false,
                "wrap": false,
                "decoupled": false,
                "typeTags": "",
                "ignoreDefaults": false,
                "onCreate": "",
                "onValue": "globals.lockFunc(get(this))"
              },
              {
                "type": "button",
                "top": 308,
                "left": 20,
                "id": "img_7_select",
                "linkId": "",
                "width": 96,
                "height": 72,
                "label": "message 1",
                "css": ":host{\n--color-raised:#2A2A2D;\n}\n:host.on{\n--color-bg:white;\n}",
                "doubleTap": false,
                "on": 7,
                "off": -7,
                "default": "",
                "value": "",
                "address": "/img_select",
                "preArgs": "",
                "target": "",
                "bypass": false,
                "decimals": 2,
                "mode": "toggle",
                "lock": false,
                "visible": true,
                "interaction": true,
                "comments": "",
                "expand": "false",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorStroke": "auto",
                "colorFill": "auto",
                "alphaStroke": "auto",
                "alphaFillOff": "auto",
                "alphaFillOn": "auto",
                "lineWidth": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "colorTextOn": "auto",
                "vertical": false,
                "wrap": false,
                "decoupled": false,
                "typeTags": "",
                "ignoreDefaults": false,
                "onCreate": "",
                "onValue": "globals.lockFunc(get(this))"
              },
              {
                "type": "button",
                "top": 164,
                "left": 212,
                "id": "img_5_select",
                "linkId": "",
                "width": 96,
                "height": 72,
                "css": ":host{\n--color-raised:#2A2A2D;\n}\n:host.on{\n--color-bg:white;\n}",
                "default": "",
                "value": "",
                "address": "/img_select",
                "preArgs": "",
                "target": "",
                "bypass": false,
                "decimals": 2,
                "mode": "toggle",
                "lock": false,
                "visible": true,
                "interaction": true,
                "comments": "",
                "expand": "false",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorStroke": "auto",
                "colorFill": "auto",
                "alphaStroke": "auto",
                "alphaFillOff": "auto",
                "alphaFillOn": "auto",
                "lineWidth": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "colorTextOn": "auto",
                "wrap": false,
                "typeTags": "",
                "ignoreDefaults": false,
                "onCreate": "",
                "onValue": "globals.lockFunc(get(this))",
                "label": "message 2",
                "doubleTap": false,
                "on": 5,
                "off": -5,
                "vertical": false,
                "decoupled": false
              },
              {
                "type": "button",
                "top": 164,
                "left": 404,
                "id": "img_6_select",
                "linkId": "",
                "width": 96,
                "height": 72,
                "label": "Ammann",
                "css": ":host{\n--color-raised:#2A2A2D;\n}\n:host.on{\n--color-bg:white;\n}",
                "doubleTap": false,
                "on": 6,
                "off": -6,
                "default": "",
                "value": "",
                "address": "/img_select",
                "preArgs": "",
                "target": "",
                "bypass": false,
                "decimals": 2,
                "mode": "toggle",
                "lock": false,
                "visible": true,
                "interaction": true,
                "comments": "",
                "expand": "false",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorStroke": "auto",
                "colorFill": "auto",
                "alphaStroke": "auto",
                "alphaFillOff": "auto",
                "alphaFillOn": "auto",
                "lineWidth": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "colorTextOn": "auto",
                "vertical": false,
                "wrap": false,
                "decoupled": false,
                "typeTags": "",
                "ignoreDefaults": false,
                "onCreate": "",
                "onValue": "globals.lockFunc(get(this))"
              },
              {
                "type": "button",
                "top": 308,
                "left": 212,
                "id": "img_8_select",
                "linkId": "",
                "width": 96,
                "height": 72,
                "label": "Kari",
                "css": ":host{\n--color-raised:#2A2A2D;\n}\n:host.on{\n--color-bg:white;\n}",
                "doubleTap": false,
                "on": 8,
                "off": -8,
                "default": "",
                "value": "",
                "address": "/img_select",
                "preArgs": "",
                "target": "",
                "bypass": false,
                "decimals": 2,
                "mode": "toggle",
                "lock": false,
                "visible": true,
                "interaction": true,
                "comments": "",
                "expand": "false",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorStroke": "auto",
                "colorFill": "auto",
                "alphaStroke": "auto",
                "alphaFillOff": "auto",
                "alphaFillOn": "auto",
                "lineWidth": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "colorTextOn": "auto",
                "vertical": false,
                "wrap": false,
                "decoupled": false,
                "typeTags": "",
                "ignoreDefaults": false,
                "onCreate": "",
                "onValue": "globals.lockFunc(get(this))"
              },
              {
                "type": "button",
                "top": 308,
                "left": 404,
                "id": "img_9_select",
                "linkId": "",
                "width": 96,
                "height": 72,
                "label": "Jaendel",
                "css": ":host{\n--color-raised:#2A2A2D;\n}\n:host.on{\n--color-bg:white;\n}",
                "doubleTap": false,
                "on": 9,
                "off": -9,
                "default": "",
                "value": "",
                "address": "/img_select",
                "preArgs": "",
                "target": "",
                "bypass": false,
                "decimals": 2,
                "mode": "toggle",
                "lock": false,
                "visible": true,
                "interaction": true,
                "comments": "",
                "expand": "false",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorStroke": "auto",
                "colorFill": "auto",
                "alphaStroke": "auto",
                "alphaFillOff": "auto",
                "alphaFillOn": "auto",
                "lineWidth": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "colorTextOn": "auto",
                "vertical": false,
                "wrap": false,
                "decoupled": false,
                "typeTags": "",
                "ignoreDefaults": false,
                "onCreate": "",
                "onValue": "globals.lockFunc(get(this))"
              },
              {
                "type": "variable",
                "lock": false,
                "id": "lock",
                "comments": "",
                "value": 0,
                "default": "",
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "typeTags": "",
                "decimals": 2,
                "target": "",
                "ignoreDefaults": false,
                "bypass": false,
                "onCreate": "",
                "onValue": ""
              }
            ],
            "tabs": [],
            "decimals": 2,
            "innerPadding": false,
            "padding": 0,
            "alphaStroke": 0,
            "lock": false,
            "visible": true,
            "interaction": "#{@{lock}}",
            "comments": "",
            "expand": "false",
            "colorText": "auto",
            "colorWidget": "auto",
            "colorStroke": "auto",
            "colorFill": "auto",
            "alphaFillOff": "auto",
            "alphaFillOn": "auto",
            "lineWidth": "auto",
            "borderRadius": "auto",
            "html": "",
            "colorBg": "auto",
            "layout": "default",
            "justify": "start",
            "gridTemplate": "",
            "contain": true,
            "tabsPosition": "top",
            "traversing": false,
            "typeTags": "",
            "ignoreDefaults": false,
            "onCreate": "set(\"lock\", true)\nglobals.lockFunc = function(val){\n  if(val >= 0){\n    var i = 180\n    set(\"lock\", false)\n    var timeOut = setInterval(function() {\n      i = i - 1\n      set(\"message\", \"you may select another tiling/message in \" + i + \" seconds\")\n      if(i < 1){\n        set(\"lock\", true)\n        set(\"message\", \"select another tiling/message\")\n        clearInterval(timeOut)\n      }\n    }, 1000);\n  }\n}",
            "onValue": ""
          }
        ],
        "tabs": [],
        "scroll": true,
        "decimals": 2,
        "colorWidget": "white",
        "innerPadding": false,
        "padding": 0,
        "lock": false,
        "visible": true,
        "interaction": true,
        "comments": "",
        "colorText": "auto",
        "colorFill": "auto",
        "borderRadius": "auto",
        "html": "",
        "colorBg": "auto",
        "layout": "default",
        "justify": "start",
        "gridTemplate": "",
        "contain": true,
        "tabsPosition": "top",
        "traversing": false,
        "typeTags": "",
        "ignoreDefaults": false,
        "onCreate": "",
        "onValue": ""
      }
    ],
    "scroll": true,
    "decimals": 2,
    "lock": false,
    "visible": true,
    "interaction": true,
    "comments": "",
    "width": "auto",
    "height": "auto",
    "colorText": "auto",
    "colorWidget": "auto",
    "alphaFillOn": "auto",
    "borderRadius": "auto",
    "padding": "auto",
    "html": "",
    "colorBg": "auto",
    "layout": "default",
    "justify": "start",
    "gridTemplate": "",
    "contain": true,
    "innerPadding": true,
    "tabsPosition": "top",
    "hideMenu": false,
    "typeTags": "",
    "ignoreDefaults": false,
    "onCreate": "",
    "onValue": "",
    "widgets": []
  }
}